Loading...
Searching...
No Matches
Kernel Tracing
Base API » Fiasco extensions

Kernel tracing related functionality. More...

Collaboration diagram for Kernel Tracing:

## Functions

l4_umword_t | fiasco_tbuf_log (const char *text)
| Create new trace-buffer entry with describing <text>.
l4_umword_t | fiasco_tbuf_log_3val (const char *text, l4_umword_t v1, l4_umword_t v2, l4_umword_t v3)
| Create new trace-buffer entry with describing <text> and three additional values.
l4_umword_t | fiasco_tbuf_log_binary (const unsigned char *data)
| Create new trace-buffer entry with binary data.
void | fiasco_tbuf_clear (void)
| Clear trace-buffer.
void | fiasco_tbuf_dump (void)
| Dump trace-buffer to kernel console.

## Detailed Description

Kernel tracing related functionality.

Attention
  This API is subject to change!

This is a tracing facility for the Fiasco kernel trace buffer. Any call to any function might be invalid. Do not rely on it in any real code.

Include File
  #include <l4/sys/ktrace.h>
  ktrace.h
  L4 kernel event tracing.

## Function Documentation

## fiasco_tbuf_log()

l4_umword_t fiasco_tbuf_log | ( | const char * | text | ) |

inline

Create new trace-buffer entry with describing <text>.

Parameters

  text | Logging text

Returns
  Pointer to trace-buffer entry

Definition at line 24 of file __ktrace-impl.h.

References __kdebug_text(), and l4_error().

Here is the call graph for this function:

## fiasco_tbuf_log_3val()

l4_umword_t fiasco_tbuf_log_3val | ( | const char * | text,
|  | l4_umword_t | v1,
|  | l4_umword_t | v2,
|  | l4_umword_t | v3 )

inline

Create new trace-buffer entry with describing <text> and three additional values.

Parameters

  text | Logging text
  v1 | first value
  v2 | second value
  v3 | third value

Returns
  Pointer to trace-buffer entry

Definition at line 31 of file __ktrace-impl.h.

References __kdebug_3_text(), and l4_error().

Here is the call graph for this function:

## fiasco_tbuf_log_binary()

l4_umword_t fiasco_tbuf_log_binary | ( | const unsigned char * | data | ) |

inline

Create new trace-buffer entry with binary data.

Parameters

  data | binary data

Returns
  Pointer to trace-buffer entry

Definition at line 54 of file __ktrace-impl.h.

References __kdebug_text(), and l4_error().

Here is the call graph for this function: